
From: James Simmons <jsimmons@infradead.org>

> Hi!
> 
> > I'am wondering why setfont and loadkeys in setting only on first tty.
> > It works (setting font map on all six tty) in 2.{2,4}.x.
> > 
> > I'am using _radeonfb_ with rv250if, could it be the reason?
> 
> FYI, its same as vesafb here.
> 								Pavel

Try this patch. If it works I will pass it on to linus. thank you.

This patch fixes the problem of not being able to set the fonts on VCs
other than the first one.  This also was the bug that was casuing dual head
(vga and mda) to lock up.



 25-akpm/drivers/char/vt_ioctl.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/char/vt_ioctl.c~setfont-loadkeys-fix drivers/char/vt_ioctl.c
--- 25/drivers/char/vt_ioctl.c~setfont-loadkeys-fix	Mon May 12 14:43:52 2003
+++ 25-akpm/drivers/char/vt_ioctl.c	Mon May 12 14:43:52 2003
@@ -869,13 +869,13 @@ int vt_ioctl(struct tty_struct *tty, str
 		if (clin > 32)
 			return -EINVAL;
 		    
-		if (vlin)
-			vc->vc_scan_lines = vlin;
-		if (clin)
-			vc->vc_font.height = clin;
-	
-		for (i = 0; i < MAX_NR_CONSOLES; i++)
+		for (i = 0; i < MAX_NR_CONSOLES; i++) {
+			if (vlin)
+				vc_cons[i].d->vc_scan_lines = vlin;
+			if (clin)
+				vc_cons[i].d->vc_font.height = clin;
 			vc_resize(i, cc, ll);
+		}
   		return 0;
 	}
 

_
